import { cn } from "~/lib/utils";
import type { JSX } from "solid-js";

interface PageContainerProps {
  class?: string;
  py?: string;
  children: JSX.Element;
}

export default function PageContainer(props: PageContainerProps) {
  return (
    <div
      class={cn(
        "max-w-7xl mx-auto px-4 md:px-6 lg:px-8 w-full",
        props.py,
        props.class,
      )}
    >
      {props.children}
    </div>
  );
}
